digiKam 8.2.0 - Release date: 2023-12-03

*****************************************************************************************************
NEW FEATURES:

Libraw : Update to snapshot 2023-11-21.
Bundles: MacOS PKG is now based on Qt5 framework version 5.15.11 and KDE frameworks 5.110.
Bundles: Linux AppImage is now based on Qt5 framework version 5.15.11 and KDE frameworks 5.110.
Bundles: New Windows installer compiled under Windows with VCPKG tool-chain and based on Qt6 and KF6 frameworks.
Bundles: Exiftool updated to last 12.70.
Bundles: Exiv2 updated to last 0.28.1.

*****************************************************************************************************
BUGFIXES:

001 --> 471934 - "Remove face region" from Ignored sends it to Unknown.
002 --> 472019 - Can not edit raw file with ART or Rawtherapee or Darktable 2 Gmic is not present in image editor menus.
003 --> 472036 - GEO Tag Editor not adding co ordinates.
004 --> 472094 - Delete icon not visible in find fields.
005 --> 472092 - Request "Ignore All" for Images with Many Persons.
006 --> 472125 - Connections to remote mariadb are aborted when digikam is closed.
007 --> 472129 - Indecently large distance between the elements in the "tools" panel.
008 --> 471961 - Two database dump was made on the same day, but one of them is not read by digiKam.
009 --> 472174 - Unable to remove "Unknown" Face Tags from photo.
010 --> 472235 - digiKam crashes on escaping from [modal] dialogs such as album properties form.
011 --> 471438 - Crash when create new album folder.
012 --> 472253 - Thumbnails of TIFF files show as low resolution with visible colour bands.
013 --> 472269 - Unable to change/remove "Ignored" identity Face Tags and name as a person.
014 --> 465635 - Geolocate is too slow: it reads way too much data.
015 --> 457272 - Incorrect UI Element Padding under KDE with Breeze Theme at 1.5 scale.
016 --> 472704 - Tags are not saved on exit.
017 --> 472683 - Showfoto ignores icons scale configured for Digikam when launched outside it.
018 --> 472770 - ExifTool Custom Tags outside "MakerNotes" shows not available.
019 --> 472734 - Database creation on MariaDB fails.
020 --> 472692 - Tesseract OCR does not take language selection into account.
021 --> 426478 - Slideshow: rating editor cannot be toggled by F4.
022 --> 472841 - Failed to create tables.
023 --> 472856 - The storage location of this image is currently not available (Ref: Bug report 438845).
024 --> 466773 - Conversion raw (Panasonic rw2) to DNG with bugs.
025 --> 472914 - Face tag subfolders get converted to backslash instead of forward slash when metadata reread.
026 --> 473113 - Slideshow should prevent the monitor from powering off during the slideshow.
027 --> 472494 - Export to Google Photos ends up with "too many requests" error.
028 --> 473283 - Pressing enter in the geolocation editor search box closes the window instead of searching.
029 --> 473312 - digiKam crashes when hitting OK for settings -> metadata -> read from sidecars.
030 --> 473355 - Big trash bin freezes digikam for long time.
031 --> 473383 - Crash when deleting an album to wastebasket.
032 --> 473418 - Allow other output file-types in BQM custom user script as JPEG-XL.
033 --> 473605 - Add Collection buttons are floating, not going with scrolling.
034 --> 473632 - Lighttable shows incorrect active AF points.
035 --> 473635 - Lighttable shows no active AF points for Canon EOS R7.
036 --> 473671 - Google-Maps Geolocation: Map not updating when panned.
037 --> 473686 - Lighttable shows incorrect active AF points for Canon EOS R8.
038 --> 473450 - Create a field in Digikam Settings GUI: "User's Google Maps API key".
039 --> 473752 - Cannot filter by video framerate greater than 60fps.
040 --> 473801 - Crashes while auto-importing new media files.
041 --> 473110 - Assertion failure when new folder is created in album (inside our outside of digiKam).
042 --> 473913 - digiKam crashes while refreshing albums.
043 --> 473826 - digiKam with exiftool backend erases XMP tags.
044 --> 474103 - Some .jpg files cannot be previewed or opened in digiKam.
045 --> 474159 - Metadata template, contact, URL is not written as metadata.
046 --> 474146 - Broken history, what does it mean.
047 --> 474205 - digiKam crashes while it scans video albums.
048 --> 456289 - Build error from git with Qt6.
049 --> 468658 - Linking failed with Qt6 and KJobs class from KDE framework.
050 --> 474287 - Setting prefs display metadata don't work.
051 --> 470556 - Collection Storage Location Unavailable Mac.
052 --> 398831 - digiKam DB maintenance can not tell difference between two external drives (same type and size).
053 --> 474367 - Incomplete display of tags.
054 --> 473481 - digiKam 8.1 crashes on startup.
055 --> 474459 - Renaming pattern field is cutting characters in MacOS.
056 --> 474486 - Metadata > XMP tab > Some fields are showing type="Struct".
057 --> 474607 - digiKam crashes when creating album for new photos.
058 --> 474560 - Image saved with .tiff extension instead of .tif.
059 --> 475122 - Need file info even collection is offline.
060 --> 474105 - Faces load sequentially, not showing existing face thumbnails in the database until a previous one has been generated.
061 --> 471058 - Tags not shown for all items after export-import.
062 --> 475253 - digiKam crashes when closing settings menu.
063 --> 473083 - Appimage has no title-bar under Wayland: add Qt plugin wayland-decoration-client.
064 --> 462413 - Map view freezes when viewing large number of elements.
065 --> 461838 - All face thumbnails in a picture are recreated after a face is tagged, which is not optimal performance-wise.
066 --> 406961 - Video with geo tags is filtered as non-geotagged: Mysql float value are encoded with comma or dot depending on the locale.
067 --> 459434 - After editing a JPG in the image editor and saving it only works for the next 3-5 images.
068 --> 417885 - Problems on Windows Subsystem for Linux.
069 --> 429793 - digiKam crashes in libicu when run with zzuf -s1 in WSL1.
070 --> 472944 - No option to use internal MYSQL (MariaDB) server.
071 --> 472322 - Problem with plugin Editor-LensCorrection.
072 --> 471105 - digiKam crash when moving folders.
073 --> 470899 - In Geolocalisation/Detail panel, it is no more possible to drag/drop an image to the map to set its coordinates.
074 --> 470621 - digikam crashed when applying tag to many pictures on nfs mounted collection.
075 --> 470146 - Crash in QtAV while playing videos with Slideshow tool.
076 --> 463852 - After create a Video SlideShow media as mp4 will not be integrated.
077 --> 463439 - Build system requires external git source.
078 --> 459450 - The crash for time closed a program.
079 --> 456987 - Open with... not working in AppImage.
080 --> 455936 - digiKam segfaults on startup when built with kdesrc-build.
081 --> 473257 - After moving image (s) clicking on preview, the application is fully blocked.
082 --> 453503 - digiKam cannot detect Samsung Android phone.
083 --> 406583 - Cannot write special characters (è, í, ó) in Tag search box.
084 --> 396671 - Google photo: Cannot download more than 1000 photos at once.
085 --> 472846 - digiKam doesn't write metadata to files/sidecars under unclear circumstances.
086 --> 331878 - GROUP : the «grouped images icon» disappears when working on the main (front) image.
087 --> 475428 - "Open With" Dialog is empty.
088 --> 473376 - digiKam does not use date/time from metadata.
089 --> 471200 - Windows 10 DigiKam Crash at Launch After Updating to 8.0.0.
090 --> 468348 - MySQL remote database: After hibernation, no enlarge window, no display.
091 --> 466938 - Duplicate Detection Reference Image.
092 --> 467713 - Rating unintentionally set to max. after cropping an image.
093 --> 464084 - After showing User Access Control prompt, installer fails to launch on Windows 10 22H2.
094 --> 468597 - digiKam 8.0.0 installer attempts to create a start menu folder with 7.9.0 version numbering.
095 --> 437737 - digiKam cannot create xmp for xcf.
096 --> 435343 - Crash getting People album property if Thumbnail file removed.
097 --> 437588 - Del removes Group Selected item and the second item also disappears from the Table view [patch].
098 --> 426355 - Not responding and strange activity when quality sorting.
099 --> 418759 - People tag filtered list when entering name is too narrow.
100 --> 382361 - Continuous net usage, server CPU and IO usage while doing nothing but keeping a collection opened [network share & mysql db].
101 --> 470566 - Metadata not updated.
102 --> 475663 - digiKam crashes while updating database from smb-share.
103 --> 395914 - Sidecar files are replaced if reading sidecar files is not enabled.
104 --> 469643 - digiKam 8.0 crashes when starting, as soon as the scanning completes.
105 --> 466837 - Detailed progress indicator twiddles open for every long running action.
106 --> 261634 - Use Qt6 to compile AppImage bundle.
107 --> 475611 - Correcting the English used in the releasenotes.html file.
108 --> 473356 - Importing HEIF files is extremely slow and processor intensive.
109 --> 473073 - Unable to import albums from google photos (Too Many Requests).
110 --> 472567 - Import from Gootle Photos doesn't work.
111 --> 472014 - When opening preview mode, album thumbnail scroller frame scrolls to the wrong position.
112 --> 471968 - Preview mode shows wrong location at top-screen image scroll.
113 --> 471231 - Segmentation fault when playing video.
114 --> 470551 - digiKam crashes when playing video in preview after the fourth or fifth time.
115 --> 470510 - When editing metadatas in Preview mode, the filmstrip sometimes jumps back.
116 --> 465758 - Stopping import on error.
117 --> 464319 - digiKam crashes when showing a video in the preview.
118 --> 464187 - digiKam crashes while examining videos and gifs.
119 --> 463851 - After create a Videoslidshow videos as mp4 will not be integrated.
120 --> 441539 - Cannot add collection located on HDD.
121 --> 441019 - Location of Collections 'Confused' by Same-Model External Drives.
122 --> 434438 - Writing metadata to an XMP sidecar removes previously-entered metadata already in the XMP file.
123 --> 429963 - digiKam hangs when adding people or cleaning the DB.
124 --> 475807 - Tags not being displayed under Icons in some Albums.
125 --> 471797 - digiKam crashes on startup at 74% on Finding New Files.
126 --> 471269 - Application crashes when album contains avif file.
127 --> 379402 - Reuse filter settings after adding geolocation information [patch].
128 --> 475870 - If "Use the last saved..." function is active in this case second opening the Image quality sorter become inactive.
129 --> 475874 - Huge mysql.err files filled with [ERROR] Incorrect definition of table mysql.column_stats.
130 --> 431035 - MariaDB error upgrading from stable to beta.
131 --> 452268 - digiKam unable to open database.
132 --> 455031 - Database process exited unexpectedly during initial connection.
133 --> 451153 - Incomplete Mariadb PrivCheck delete causes digiKam fail to start.
134 --> 461871 - importing images does not work on images but on folders.
135 --> 407738 - MacOS clicking Import causes a need to force quit.
136 --> 412894 - Import window causes digiKam to hang in macOS.
137 --> 475329 - Initiating slide show goes to full screen black (or background color) and does not display images.
138 --> 433219 - Can't sign into my Microsoft account in order to access OneDrive.
139 --> 475572 - Button is not floating now, but not going correctly while scrolling.
140 --> 472640 - Batch Queue Manager Cannot see resize pixel size when Macintosh Widgets are selected.
141 --> 470359 - Geolocation Edit plugin ignores lazy synchronization / immediately writes metadata.
142 --> 430277 - digiKam-MySQL-MariaDB crash.
143 --> 475981 - Updating from 7.2.0 to 8.1 the digiKam entry in my start menu is: 7.9.0.
144 --> 475840 - Theme icons and text have gone dark on a dark background.
145 --> 472083 - Toolbar, footer, and selected tabs are unreadable in all dark themes.
146 --> 475482 - Icons and descriptions not readable in black body and other design.
147 --> 425980 - Search freezes on large collection.
148 --> 468609 - Loads heif only with 8 bits color depth.
149 --> 380328 - Close Geolocation Editor after applying changes.
150 --> 310153 - Images are not visible in the Main Image Window of digiKam, if the files are created as relative links.
151 --> 299829 - No taskbar icon for bookmark editor window.
152 --> 338724 - Symlink from one collection to another causes high CPU usage, freeze and DB lockup errors.
153 --> 342425 - Geolocation window is independent of main window but not visible in taskbar.
154 --> 474366 - HEIC thumbnail rotation.
155 --> 473396 - HEIC images not rotated correctly even though EXIF metadata could be read.
156 --> 472438 - Failed to update the database schema from version 15 to version 16.
157 --> 328460 - Size of thumbnail font fixed to system.
158 --> 318965 - List of digiKam setting files.
159 --> 305655 - Detect which pictures are actually new in the camera.
160 --> 302620 - Missing thumbnails in right hand window.
161 --> 297266 - Thumbnails do not display.
162 --> 293283 - Option to show files of all MIME-Types in album view.
163 --> 291304 - Single left click on album expands subtree.
164 --> 289038 - Compile error in debian: setAboutData.
165 --> 287787 - Can't build on Ubuntu x86-64.
166 --> 283373 - digiKam shows splashscreen, but won't start - no crash report generated.
167 --> 329390 - Auto-rotate Using Exif information: rotates wrong picture.
168 --> 467226 - Allow albums/tags to exclude in duplicate finder workflow.
169 --> 476073 - Assign Captions behavior in Batch Queue Manager.
170 --> 416446 - Import dialog: wrong pop-up media capacity in status bar.
171 --> 459221 - Online doc: add more details about Setup Metadata options.
172 --> 216915 - digiKam-8.2.0 AppImage bundle do not start under OpenSuse Tumbleweed.
173 --> 476157 - Crash in assert when importing old digikam db.
174 --> 476282 - HTML-Export, order of <collection>s in <collections> seames undefined.
175 --> 476281 - Creating Gallery.xml, collection/content is empty.
176 --> 476290 - Scanning files results crash in JPEG2000 loader.
177 --> 472508 - Scanning AV1 files results in crash.
178 --> 447137 - Feature request: update metadata from picture file if associated sidecar is deleted.
179 --> 437646 - Images data in Grouped items are not visible in the Table view if the View / Show All Grouped Items As Open is not selected.
180 --> 439173 - Switch to thumbnail view should preserve the SORTING applied in table view.
181 --> 473430 - Tagging deletes the image file.
182 --> 376425 - Light table window not activated or brought to front.
183 --> 476316 - The drop-down menu located at the bottom left in digiKam on-line documentation does not work.
184 --> 476335 - For one name the "unconfirmed" is two rows but the upper row does not show correctly.
185 --> 469372 - "Image cannot be loaded" � some images not rendered correctly.
186 --> 476374 - Cursor focus jumps when in Preview and entering a tag.
187 --> 430873 - H.264 video only plays audio on Raspberry Pi 4b (ARM).
188 --> 476419 - digiKam deleted images himself.
189 --> 476431 - Crash report showfoto.
190 --> 476556 - Images vignettes are very low quality with PNG files.
191 --> 476578 - digiKam crashes when opening 'Tools' menu.
192 --> 476604 - Not possible to configure keyboard shortcut for "open with file manager".
193 --> 471503 - Can't find Liquid Rescale tool.
194 --> 476573 - Preview - Picture is shifted upward.
195 --> 476793 - Inconsistent margin in BQM.
196 --> 476863 - Faces in People panel do not respect the sort order.
197 --> 452441 - After Cancelling Import digikam shows no albums.
198 --> 476905 - Crash during Find New Items on startup when an AVIF file is in the folder structure.
199 --> 476990 - Allow entering small file sizes in the Advanced Search.
200 --> 467384 - Compile digiKam bundle under Windows with MSVC compiler.
201 --> 467333 - Error on exiftool install on Win10 64bit.
202 --> 437813 - Exiftool.exe is preventing the installation if digiKam is terminate inexplicably.
203 --> 453815 - Small glitch with Exiftool tab title in metadata side-bar.
204 --> 471299 - Crash when opening the setup dialog.
205 --> 477156 - Display database configuration dialog again.
206 --> 477203 - Two maps - horizontal and Two maps - vertical it works the other way around.
207 --> 449637 - Freeze due to Error in Exiv2::XMLValidator.
208 --> 450348 - Crash when open properties of a tag.
209 --> 456926 - Program crash when deleting a tag while new items are being scanned.
210 --> 459403 - Since upgrading to 7.8.0 digikam will no longer start. see attachment for error message.
211 --> 465002 - Program crash when scanning albums.
212 --> 469688 - Unable to launch the software after installation.
213 --> 473436 - digiKam Sometimes hangs when the editor saves.
214 --> 473961 - The program get close when i am trying to qualify several images automatically at once.
215 --> 456849 - Malfunctions increase with more folders.
216 --> 438429 - digiKam freeze whenever I confirm People Tags using a multiple selection with many faces (approx 20).
217 --> 474762 - New album (on external HDD) scan crashes at startup.
218 --> 437658 - Crash on windows without OpenGL.
219 --> 458143 - Opening a picture using OpenGL viewer generates an OpenGL error then digikam crashes.
220 --> 460168 - Cannot start digiKam 7.8.0.
221 --> 465791 - File rename does not work correctly if a single file is selected.
222 --> 459875 - Properties popup not displaying details.
223 --> 453880 - Updated to version 7.6.0 and now there are no thumbnails displaying.
224 --> 475432 - Deleting impossible.
225 --> 475469 - Photos deleting.
226 --> 475525 - Problem with delete file permission .dtrash.
227 --> 397864 - Print creator aborts when export to PDF.
228 --> 434341 - Print Creator has a default of "Print to PDF" but "Page Settings" won't work.
229 --> 420508 - Closing a Menu leaves dotted line.
230 --> 466134 - Improve task progress information.
231 --> 414572 - Playing video stuttering in fullscreen mode / slideshow.
232 --> 472133 - At 4k resolution, high resolution adaptation mode is selected, and some window fonts are too small.
233 --> 450117 - Exif information in Metadata tab from right sidebar are not available although Exiftool Tab work fine.
234 --> 477515 - digiKam crashes at startup.
235 --> 470391 - Cannot uninstall or update Nightly build.
236 --> 431063 - Hanging Process After Closing Application in MS Windows.
237 --> 477542 - Suggestion : implement virtual albums.
238 --> 477545 - Suggestion : versioning of pictures.
239 --> 477393 - dgiKam crash after moving photos to different directory under its control and *then* wrote metadata to files.
240 --> 477571 - Icon contrast too low on Mac in dark mode.
241 --> 278037 - Port tool from QtAv to Qt6Multimedia API to play audio tracks.
242 --> 477627 - Confusing Metadata sidecar configuration.
243 --> 477552 - Menus are missing on Import from Card Reader Window.
244 --> 477650 - digiKam crash when there is a avif file.
245 --> 477632 - Preview disappears after Image Editor.
246 --> 145482 - Compile fails under Windows.
247 --> 139154 - Can't compile from source.
248 --> 104345 - Camera hang up during download.
249 --> 147458 - Crash when reading EXIF from USB PtP camera or newly imported album.
250 --> 169814 - Compilation error: no exp2().
